Arch Sistema di assi

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch AxisSystem and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Axis.svg Assi Pagina precedente:
Pagina successiva: Griglia Arch Grid.svg Arrow-right.svg

Arch AxisSystem.png Sistema di assi

Posizione nel menu
Arch → Sistema di assi
Ambiente
Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Assi, Griglia


Descrizione

Lo strumento Sistema di assi consente di combinare 2 o 3 oggetti Assi.

Questo è utile per definire i punti di intersezione tra i diversi assi. Gli oggetti Arch possono quindi utilizzare questo sistema per duplicare la loro forma sui diversi punti di intersezione.

Arch AxisSystem example.jpg

Tre oggetti Assi combinati in un unico Sistema di assi. Un oggetto Struttura usa questo sistema come sua proprietà DATAAxis, per duplicare la sua forma in ogni punto di intersezione.


Utilizzo

  1. Facoltativamente, selezionare gli oggetti Assi che si desidera includere in questo sistema.
  2. Premere il pulsante Arch Axis System.svg Sistema di assi.
  3. Fare clic con il tasto destro del mouse sull'oggetto Sistema di assi appena creato nella vista ad albero per aggiungere o modificare gli oggetti Assi incluso in questo sistema.
  4. Selezionare qualsiasi Asse esistente e premere i pulsanti Arch Add.svg Aggiungi o Arch Remove.svg Rimuovi per aggiungerlo o rimuoverlo dal sistema.
  5. Impostare le proprietà DATAAxis per fare in modo che un oggetto Arch punti a questo sistema, e la sua forma venga duplicata nei punti di intersezione di questo sistema

Opzioni

  • Uno stesso oggetto Asse può essere parte di più di un sistema
  • Qualsiasi oggetto basato su una forma può anche essere usato come proprietà Asse di oggetti Arch. In questo caso, la forma dell'oggetto viene duplicata lungo i vertici dell'oggetto Axis

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Sistema di assi può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

AxisSystem = makeAxisSystem(axes, name="Axis System")
  • Crea un oggetto AxisSystem da un dato axes, che è un singolo Asse, o un elenco di assi.

Esempio:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()

AxisSystem = Arch.makeAxisSystem([Axes, Axes2])

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = AxisSystem
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Axis.svg Assi Pagina precedente:
Pagina successiva: Griglia Arch Grid.svg Arrow-right.svg